# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8
inherit gnome2-utils xdg git-r3

DESCRIPTION="A Linux Mint application to run websites as if they were apps."
HOMEPAGE="https://github.com/linuxmint/webapp-manager"
EGIT_REPO_URI="https://github.com/linuxmint/webapp-manager.git"

LICENSE="GPL-3"
SLOT="0"
IUSE=""

DEPEND="
	dev-python/setproctitle
	dev-python/tldextract
	dev-python/pillow
	dev-python/beautifulsoup4
	dev-python/configobj
	x11-libs/xapp
"
RDEPEND="${DEPEND}"
BDEPEND=""

src_install() {
	insinto /
	doins -r etc

	insinto /usr
	doins -r usr/share

	exeinto /usr/bin
	doexe usr/bin/webapp-manager

	exeinto /usr/lib/webapp-manager
	doexe usr/lib/webapp-manager/common.py
	doexe usr/lib/webapp-manager/webapp-manager.py
}

pkg_postinst() {
	xdg_pkg_postinst
	gnome2_schemas_update
}

pkg_postrm() {
	xdg_pkg_postrm
	gnome2_schemas_update
}
